/*!
 * Copyright (c) 2023 Eclipse Foundation, Inc.
 *
 * This program and the accompanying materials are made available under the
 * terms of the Eclipse Public License v. 2.0 which is available at
 * http://www.eclipse.org/legal/epl-2.0.
 *
 * Contributors:
 *   Olivier Goulet <olivier.goulet@eclipse-foundation.org>
 *
 * SPDX-License-Identifier: EPL-2.0
 */

@import '../../_components/separators.less';

.menu-heading {
  position: relative;
  display: inline-block;
  min-width: 10ch;
  margin-bottom: 2rem;

  &::before {
    content: "";
    position: absolute;
    left: 0;
    bottom: -0.5rem;
    display: inline-block;
    width: 1rem;
    height: 1rem;
    border-radius: 50%;
    background-color: @black;

    @media (min-width: @screen-sm-min) {
      left: unset;
    }
  }

  &::after {
    content: "";
    display: block;
    width: 100%;
    height: 1px;
    margin-top: 1.25rem;
    margin-left: auto;
    background-color: @black;
  }
}
